<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <LangVersion>latest</LangVersion>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.Extensions.Logging.Abstractions" Version="8.0.2" />
    <PackageReference Include="Polly" Version="8.4.2" />
    <PackageReference Include="NSec.Cryptography" Version="24.4.0" />
    <PackageReference Include="System.Security.Cryptography.ProtectedData" Version="8.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\PSLauncher.Models\PSLauncher.Models.csproj" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="Resources\server-pubkey.txt" />
  </ItemGroup>

</Project>
